UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Observer mreister
Observer
6,320 Views
Registered: ‎07-17-2008

Dependencies for header files in SDK

I am attempign to make a kernal module driver and when i attempt to include the following files:


#include <linux/init.h>
#include <linux/module.h>
#include <linux/slab.h>
#include <linux/io.h>
#include <linux/interrupt.h>
#include <linux/uaccess.h>
#include <linux/of_address.h>
#include <linux/of_device.h>
#include <linux/of_platform.h>
#include <linux/cdev.h>

 

The following files are found and in my project.

#include <linux/kernel.h>

#include <linux/fs.h>

#include <linux/fcntl.h>

 

 

I included the following directory in my project:

 

PETALINUX_PROJ_ROOT/build/linux/rootfs/stage

 

and yes the missing files DONT apear in the location above. So my question is this:

 

How do i get petalinux to generate these files during the petelinux build process?

 

Tags (2)
0 Kudos
4 Replies
Observer mreister
Observer
6,297 Views
Registered: ‎07-17-2008

Re: Dependencies for header files in SDK

it looks like these heard files are not included in the source of the default files that come with petalinux... once i downloaded the xilinx git branch these files were located.

0 Kudos
Visitor pxlsy2000
Visitor
4,506 Views
Registered: ‎03-22-2016

Re: Dependencies for header files in SDK

hi mreister

 i have the same problem, can you tell me how did you solve this problem?

thank you !

0 Kudos
Observer sconvertini
Observer
160 Views
Registered: ‎09-06-2018

Re: Dependencies for header files in SDK

Hi,

I cannot find linux/interrupt.h.

Any suggestions?

Thanks

0 Kudos
Observer michaelmatt
Observer
101 Views
Registered: ‎11-23-2017

Re: Dependencies for header files in SDK

Hello,

I found those headers in my petalinux source folder but if I include those directorys in XSDK dependencies between those headers are causing errors.

Have you found a solution?


Thanks!

0 Kudos